# eric5.E5XML.TemplatesWriter

Module implementing the writer class for writing an XML templates file.

### Global Attributes

None

### Classes

TemplatesWriter | Class implementing the writer class for writing an XML templates file.

### Functions

None

## TemplatesWriter

Class implementing the writer class for writing an XML templates file.

### Derived from

XMLStreamWriterBase

### Class Attributes

None

### Class Methods

None

### Methods

TemplatesWriter | Constructor
writeXML | Public method to write the XML to the file.

### Static Methods

None

#### TemplatesWriter (Constructor)

TemplatesWriter(device, templatesViewer)

Constructor

device
  reference to the I/O device to write to (QIODevice)
templatesViewer
  reference to the templates viewer object (TemplateViewer)

#### TemplatesWriter.writeXML

writeXML()

Public method to write the XML to the file.

Up